<?php
// REQUIRE WP-LOAD.PHP FILE TO GET ACCESS TO WP FUNCTIONS
$url = dirname(__FILE__);
$url = substr($url, 0, strpos($url, "wp-content"));
require_once( $url . "wp-load.php" ); 

// Load default shortcode options
$default_options = CCS3_Tooltips::css3_tooltips_default_options();
//var_dump($default_options);
//die;
// Load predefined values, used to generate HTML code
$predefined_values = CCS3_Tooltips::css3_tooltips_predefined_values();

wp_enqueue_media();
wp_enqueue_style("thickbox");
wp_enqueue_style("css3_tooltips_form_style", CSS3_TOOLTIPS_CSS_URL . "form.css", false, filemtime(CSS3_TOOLTIPS_CSS_PATH . "form.css"));

wp_enqueue_script("jquery");
wp_enqueue_script('media-upload');
wp_enqueue_script("thickbox");
wp_enqueue_script("tiny_mce_popup", get_option('siteurl') . "/wp-includes/js/tinymce/tiny_mce_popup.js");
wp_enqueue_script("css3_tooltips_form_js", CSS3_TOOLTIPS_JS_URL . "form.js", false, filemtime(CSS3_TOOLTIPS_JS_PATH . "form.js"));

?>
<!DOCTYPE html>
<head>
	<?php wp_head();  ?>
	<title><?php _e("CSS3 Tooltip Shortcode", "css3_tooltips"); ?></title>
	<script type="text/javascript">
	var admin_url = '<?php echo admin_url();?>';
	</script>
</head>
<body class="css3_tooltips_body">
	<table class="css3_tooltips">
		<!--		WRAPPED WRAPPERD CONTENT		-->
		<tr>
			<td class="option">
				<label for="option_wrapped_content">
					<?php _e("Wrapped Content", "css3_tooltips"); ?>
				</label>
			</td> 
			<td class="value">
				<textarea id="option_wrapped_content"></textarea>
			</td>
			<td class="desc">
				<?php echo _e("Content wrapped by the tooltip.", "css3_tooltips"); ?>
		</tr>
		<!--		TOOLTIP HEADER		-->
		<tr>
			<td class="option">
				<label for="option_header">
					<?php _e("Tooltip Header", "css3_tooltips"); ?>
				</label>
			</td> 
			<td class="value">
				<input id="option_header" type="text"/>
			</td>
			<td class="desc">
				<?php _e("Add the tooltip header text. Leave this field blank to display no header.", "css3_tooltips"); ?>
		</tr>
		<!--		TOOLTIP CONTENT		-->
		<tr>
			<td class="option">
				<label for="option_content">
					<?php _e("Tooltip Content", "css3_tooltips"); ?>
				</label>
			</td> 
			<td class="value">
				<input id="css3_tooltips_insert_image" class="button" type="button"  value="<?php _e("Add Image", "css3_tooltips"); ?>">
				<input id="css3_tooltips_insert_video" class="button" type="button" name="insert_video" value="<?php _e("Add Video", "css3_tooltips"); ?>">
				<textarea id="option_content"></textarea>
			</td>
			<td class="desc">
				<?php _e("Specify the content that will appear in the tooltip cloud. Allowed HTML tags: &lt;em&gt;, &lt;b&gt;, &lt;i&gt;, &lt;img&gt;, &lt;iframe&gt; ,&lt;span&gt; ,&lt;a&gt; ", "css3_tooltips"); ?>
		</tr>
		<!--		TOOLTIP POSITION		-->
		<tr>
			<td class="option">
				<label for="option_position">
					<?php _e("Tooltip Position", "css3_tooltips"); ?>
				</label>
			</td> 
			<td class="value" colspan='2'>
				<?php
					foreach($predefined_values['position'] as $position_key=>$position_value) {
						$active = $default_options['position']==$position_key ? "active" : "";
						echo "<div class='css3_tooltips_position {$position_key} {$active}' tooltip='{$position_value}'></div>";
					}
				?>
				<input type="hidden" id="option_position" value="<?php echo $default_options['position'];?>"/>
			</td> 
		</tr>
		<!--		TOOLTIP STYLE		-->
		<tr>
			<td class="option">
				<label for="option_style">
					<?php _e("Tooltip Style", "css3_tooltips"); ?>
					<a class='info_styles' title='<?php _e("Available Tooltip Styles", "css3_tooltips"); ?>' target='_blank' href='<?php echo CSS3_TOOLTIPS_IMAGES_URL; ?>tooltips_styles.png' ></a>
				</label>
			</td> 
			<td class="value">
				<select id="option_style"> 
					<?php
					foreach($predefined_values['style'] as $style) {
						$selected = $default_options['style'] == "style_{$style}" ? "selected" : "";
						echo "<option value='style_{$style}' {$selected}>".__("Style","css3_tooltips")." {$style}</option>";
					}
					?>
				</select>
			</td>
			<td class="desc">
				<?php _e("Select one of the available styles to change the default appearance of the tooltip.", "css3_tooltips"); ?>
		</tr>
		<!--		TOOLTIP SHOW/HIDE ADVANCED		-->	
		<tr>
			<td colspan="3">
				<input id="css3_tooltips_advanced" class="button show-options margin-30-0" type="button" value="<?php echo __("Advanced options - Show", "css3_tooltips"); ?>" />
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CSS		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_custom_css">
					<?php _e("Custom CSS", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<textarea id='option_custom_css'><?php echo $default_options["custom_css"];?></textarea>					
			</td>
			<td class="desc">
				<?php _e("Specify a custom CSS code that you want to use for the tooltip. Example: border: 1px solid black;", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CSS CLASS		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_custom_css_class">
					<?php _e("Custom CSS-Class", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<input id="option_custom_css_class" type="text" value="<?php echo $default_options['custom_css_class'];?>" />
			</td>
			<td class="desc">
				<?php _e("Name of a custom CSS-class that you want to use for the tooltip. The CSS-class itself is to be defined in the style.css file of the theme or another css file.", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CONTENT CSS		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_custom_content_css">
					<?php _e("Custom content CSS", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<textarea id='option_custom_content_css'><?php echo $default_options["custom_content_css"];?></textarea>					
			</td>
			<td class="desc">
				<?php _e("Specify a custom CSS code that will be applied to the tooltip content. If the style doesn't seem to work properly, then please use '!important' instruction, example: color: red !important;", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP WIDTH		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_width">
					<?php _e("Tooltip Width", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<input id="option_width" type="text" value="<?php echo $default_options['width'];?>" />
			</td>
			<td class="desc">
				<?php _e("Specify the tooltip width, e.g. 180px. Leave this field blank to use auto width (tooltip width will adapt automatically to contents within it).", "css3_tooltips");  ?>
			</td>
		</tr>	
		<!--		TOOLTIP TAG		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_tag">
					<?php _e("HTML Tag", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<select id="option_tag">
					<?php
					$custom_tag = !in_array($default_options["tag"],array_keys($predefined_values["tag"]));
					foreach($predefined_values["tag"] as $tag_key=>$tag_val) {
						$selected = ($default_options["tag"]==$tag_key || ( $tag_key=="custom_tag" && $custom_tag) ? "selected" : "");
						echo "<option value='{$tag_key}' {$selected} >{$tag_val}</option>";
					}
					?>
				</select>
				<div class="custom_tag <?php echo ($custom_tag ? "" : "hidden")?>">
					<label for="option_custom_tag option">
							<?php _e("Custom Tag", "css3_tooltips"); ?>
					</label>
					<input id="option_custom_tag" type="text" value="<?php echo ($custom_tag ? $default_options["tag"] : "")  ?>">
				</div>
			</td>
			<td class="desc">
				<?php _e("Specify the tag that will wrap the whole text. Default is <em>a</em> tag", "css3_tooltips"); ?>
			</td>
		</tr>	
		<!--		TOOLTIP DELAY		-->
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_delay">
					<?php _e("Tooltip Delay", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<select id="option_delay">
					<?php
					foreach($predefined_values['delay'] as $delay) {
						$selected = $delay==$default_options['delay'] ? "selected" : "";
						echo "<option value='{$delay}' $selected>{$delay}</option>";
					}
					?>
				</select>
			</td>
			<td class="desc">
				<?php _e("Set the delay of the tooltip in ms.", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP CURSOR		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_cursor">
					<?php _e("Tooltip Cursor", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<select id="option_cursor">
					<?php
					foreach($predefined_values['cursor'] as $cursor_key=>$cursor_val) {
						$selected = $default_options['cursor'] == $cursor_key ? "selected" : "";
						echo "<option value='{$cursor_key}' {$selected}>{$cursor_val}</option>";
					}
					?>
				</select>
			</td>
			<td class="desc">
				<?php _e("Set the cursor, that will be displayed on hover effect.", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP EVENT		-->	
		<tr class="advanced hidden">
			<td class="option">
				<label for="option_event">
					<?php _e("Event", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<select id="option_event">
					<?php
					foreach($predefined_values['event'] as $event_key=>$event_val) {
						$selected = $default_options['event'] == $event_key ? "selected" : "";
						echo "<option value='{$event_key}' {$selected}>{$event_val}</option>";
					}
					?>
				</select>
			</td>
			<td class="desc">
				<?php _e("Set the event, which will trigger the tooltip popup.", "css3_tooltips"); ?>
			</td>
		</tr>
		<!--		TOOLTIP FOCUS		-->	
		<tr class="advanced hidden disabled">
			<td class="option">
				<label for="option_focus">
					<?php _e("Focus", "css3_tooltips"); ?>
				</label>
			</td>
			<td class="value">
				<input id="option_focus" type="checkbox" value="focus"/>
			</td>
			<td class="desc">
				<?php _e("Show tooltips on focus (Apply to form inputs and textareas)", "css3_tooltips"); ?>
			</td>
		</tr>

		<tr>
			<td colspan="3">
				<input id="css3_tooltips_create" class="button_create margin-30-0" type="button" value="<?php _e("CREATE SHORTCODE", "css3_tooltips");?>" name="submit" />
			</td>
		</tr>
	</table>

	<!-- POPUP WINDOW FOR VIDEO URL/SIZE, ACCEPTS ONLY YOUTUBE & VIMEO -->
	<div id="video_popup_wrapper" class="hidden">
		<div id="video_popup" >
			<div id="video_popup_header">
				<div id="video_popup_title">
					<?php _e("Insert Video", "css3_tooltips"); ?>
				</div>
				<div id="video_popup_close_window">
					<div id="video_popup_close"></div> 
				</div>
			</div>
			<table>
				<tr>
					<td class="option"><label for="video_url"><?php _e("URL", "css3_tooltips"); ?></label></td>
					<td class="value"><input type="text" id="video_url" value=""></td>
					<td class="desc"><?php _e("URL of YouTube/Vimeo video.", "css3_tooltips"); ?></td>
				</tr>
				<tr>
					<td class="option">
						<label for="video_size">
							<?php _e("Size", "css3_tooltips"); ?>
						</label>
					</td>
					<td class="value">
						<select id="video_size">
							<?php
							foreach($predefined_values['video_size'] as $video_size_key=>$video_size_val) { 
								$selected = $video_size_key == "560,315" ? "selected" : "";
								echo "<option value='{$video_size_key}' {$selected}>{$video_size_val}</option>";
							}
							?>
						</select> 
						<div class="custom_size hidden">
							<label for="video_width">
								<?php _e("Custom Size", "css3_tooltips"); ?>
							</label>
							<input type="text" class="video_size" id="video_width" value=""> x 
							<input type="text" class="video_size" id="video_height" value="">
						</div>
					</td>
					<td class="desc"><?php _e("Size of embeded video. Default is 560px width and 315px height.", "css3_tooltips"); ?></td>
				</tr>
			</table>
			<div class='video_popup_butons'>
				<input id="video_insert" class="css3_tooltips_buttons" type="button" value="Insert">
			</div>
		</div>
	</div> 
	<?php
	wp_footer();
	?>
</body>
</html>