<?php
// Load default shortcode options
$default_options = CCS3_Tooltips::css3_tooltips_default_options();
// Load predefined values, used to generate HTML code
$predefined_values = CCS3_Tooltips::css3_tooltips_predefined_values();
?>
<div class="wrap">
	<h2><?php _e("CSS3 Tooltips Settings", "css3_tooltips");?></h2>
	<form id="css3_tooltips_options_panel">
	<input id='option_action' type="hidden" value="settings_save">
	<h3 class="title"><?php _e("Conversion", "css3_tooltips"); ?></h3>
	<table class="form-table">
		<tbody>
		<!--		TOOLTIP CONVERT LINKS TO TOOLTIPS		-->
		<tr valign='top'>
			<th scope='row'>
				<label for='option_links_to_tooltips'>
					<?php _e("Links to Tooltips:", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<input id="option_links_to_tooltips" type="checkbox" value="1" <?php echo $default_options["links_to_tooltips"]==1 ? 'checked' : ''; ?>>
				<p class="description">
					<?php _e("Select to display CSS3 Tooltips for all links by default. Tooltip content will be retrieved from title attribute. This setting applies to all the posts and pages.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP CONVERT CUSTOM TEXT TO TOOLTIPS		-->
		<tr valign='top'>
			<th scope='row'>
				<label for='option_text_to_tooltips'>
					<?php _e("Text to Tooltips:", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<input id="option_text_to_tooltips" type="checkbox" value="1" <?php echo $default_options["text_to_tooltips"]==1 ? 'checked' : ''; ?>>
				<p class="description">
					<?php _e("Select to display CSS3 Tooltips for custom specified text. This setting applies to all the posts and pages.", "css3_tooltips"); ?>
				</p><br/>
				<div class="text_to_tooltips_options">
					<label for="text_to_tooltips">
							<?php _e("Text", "css3_tooltips"); ?>
					</label>
					<input id="text_to_tooltips_text" type="text" value="<?php echo $default_options["text_to_tooltips_text"];?>"/><br/>
					<label for="text_to_tooltips">
							<?php _e("Tooltip content", "css3_tooltips"); ?>
					</label>
					<textarea id="text_to_tooltips_content" type="text" value=""><?php echo $default_options["text_to_tooltips_content"];?></textarea>
				</div>
			</td>
		</tr>
	</table>
	<h3 class="title"><?php _e("Default settings", "css3_tooltips"); ?></h3>
	<table class="form-table">
		<tbody>
		<!--		TOOLTIP POSITION		-->
		<tr valign="top">
			<th scope="row">
				<label for="position">
					<?php _e("Tooltip Position", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<select id='option_position'>
					<?php
					foreach($predefined_values["position"] as $position_key=>$position_val) {
						$selected = $default_options["position"]==$position_key ? "selected" : "";
						echo "<option value='{$position_key}' {$selected}>{$position_val}</option>";
					}
					?>
				</select> 
				<p class="description">
					<?php _e("Select the default tooltip position.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP STYLE		-->
		<tr valign="top">
			<th scope="row">
				<label for="style">
					<?php _e("Tooltip Style", "css3_tooltips"); ?>
				</label>
				<a class='info_styles' title='Available Tooltip Styles' target='_blank' href='<?php echo CSS3_TOOLTIPS_IMAGES_URL; ?>tooltips_styles.png' ></a>
			</th>
			<td>
				<select id="option_style">
					<?php
					foreach($predefined_values["style"] as $style) {
						$selected = ($default_options['style'] == "style_{$style}" ? "selected" : "");
						echo "<option value='style_{$style}' {$selected}>".__("Style","css3_tooltips")." {$style}</option>";
					}
					?>
				</select>
				<p class="description">
					<?php _e("To change the appearance of the tooltip, select one of available styles.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CSS		-->
		<tr valign="top">
			<th scope="row">
				<label for="custom_css">
					<?php _e("Custom CSS", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<textarea id="option_custom_css" style="width: 350px; height: 100px; resize: vertical; max-height: 300px;"><?php echo $default_options["custom_css"];?></textarea>
				<p class="description">
					<?php _e("Specify a custom CSS code that you want to use for the tooltip. Example: border: 1px solid black;", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CSS-CLASS		-->
		<tr valign="top">
			<th scope="row">
				<label for="custom_css_class">
					<?php _e("Custom CSS-Class", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<input id="option_custom_css_class" type="text" value="<?php echo $default_options["custom_css_class"]; ?>" class="regular-text ltr"/>
				<p class="description">
					<?php _e("Name of a custom CSS-class that you want to use for the tooltip. The CSS-class itself is to be defined in the style.css file of the theme or another css file.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP CUSTOM CONTENT CSS		-->
		<tr valign="top">
			<th scope="row">
				<label for="custom_content_css">
					<?php _e("Custom content CSS", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<textarea id="option_custom_content_css" style="width: 350px; height: 100px; resize: vertical; max-height: 300px;"><?php echo $default_options["custom_content_css"];?></textarea>
				<p class="description">
					<?php _e("Specify a custom CSS code that will be applied to the tooltip content. If the style doesn't seem to work properly, then please use '!important' instruction, example: color: red !important;", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP WIDTH		-->
		<tr valign="top">
			<th scope="row">
				<label for="width">
					<?php _e("Tooltip Width", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<input id="option_width" type="text" value="<?php echo $default_options["width"]; ?>" class="regular-text ltr"/>
				<p class="description">
					<?php _e("Specify the tooltip width, e.g. 180px. Leave this field blank to use auto width (tooltip width will adapt automatically to contents within it).", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP HTML TAG		-->
		<tr valign="top">
			<th scope="row">
				<label for="tag">
					<?php _e("HTML Tag", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<select id="option_tag">
					<?php
					foreach($predefined_values['tag'] as $tag_key=>$tag_val) {
						$selected = $default_options['tag'] == $tag_key ? "selected" : "";
						echo "<option value='{$tag_key}' {$selected} >{$tag_val}</option>";
					}
					?>
				</select>
				<div class="custom_tag">
					<label for="custom_tag option">
							<?php _e("Custom Tag", "css3_tooltips"); ?>
					</label>
					<input id="option_custom_tag" type="text" value="">
				</div>
				<p class="description">
					<?php _e("Specify the HTML tag that will wrap the text. Default is <em>a</em> tag.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP DELAY		-->
		<tr valign="top">
			<th scope="row">
				<label for="delay">
					<?php _e("Tooltip Delay", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<select id="option_delay" >
					<?php
					foreach($predefined_values['delay'] as $delay) {
						$selected = $delay==$default_options['delay'] ? "selected" : "";
						echo "<option value='{$delay}' $selected>{$delay}</option>";
					}
					?>
				</select>
				<p class="description">
					<?php _e("Set the delay of the tooltip in ms.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP CURSOR		-->
		<tr valign="top">
			<th scope="row">
				<label for="cursor">
					<?php _e("Tooltip Cursor", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<select id="option_cursor">
					<?php
					foreach($predefined_values['cursor'] as $cursor_key=>$cursor_val) {
						$selected = $default_options['cursor'] == $cursor_key ? "selected" : "";
						echo "<option value='{$cursor_key}' {$selected}>{$cursor_val}</option>";
					}
					?>
				</select>
				<p class="description">
					<?php _e("Set the cursor, that will be displayed on hover effect.", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		<!--		TOOLTIP EVENT		-->
		<tr valign="top">
			<th scope="row">
				<label for="event">
					<?php _e("Event", "css3_tooltips"); ?>
				</label>
			</th>
			<td>
				<select id="option_event">
					<?php
					foreach($predefined_values['event'] as $event_key=>$event_val) {
						$selected = $default_options['event'] == $event_key ? "selected" : "";
						echo "<option value='{$event_key}' {$selected}>{$event_val}</option>";
					}
					?>
				</select>
				<p class="description">
					<?php _e("Show tooltips on focus (Apply to form inputs and textareas)", "css3_tooltips"); ?>
				</p>
			</td>
		</tr>
		</tbody>
	</table>
	<p class="submit">
		<input id="submit" class="button button-primary" name="submit" type="submit" value="<?php _e("Save Changes", "css3_tooltips"); ?>">
		<img id="css3_tooltips_settings_preloader" style="display: none;" id="theme_options_preloader" src="<?php echo CSS3_TOOLTIPS_IMAGES_URL; ?>ajax-loader.gif" style="display: none;">
		<img id="css3_tooltips_settings_tick" style="display: none;" src="<?php echo CSS3_TOOLTIPS_IMAGES_URL; ?>tick.png">
		
	</p>
	</form>
</div>

